Security Advisory

Back to advisories

Second factor authentication bypassed if provider fails to load (NC-SA-2018-011)

25th October 2018

Risk level: Low

CVSS v3 Base Score: 5.7 (AV:N/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:N)

CWE: Improper Authentication - Generic (CWE-287)

HackerOne report: 317711

Description

Missing state would not enforce the use of a second factor at login if the the provider of the second factor failed to load.

Affected Software

  • Nextcloud Server < 14.0.0 (CVE-2018-16465)

Action Taken

The error has been fixed.

Resolution

It is recommended that all instances are upgraded to Nextcloud 14.0.0.

Acknowledgements

The Nextcloud team thanks the following people for their research and responsible disclosure of the above advisory:


This advisory is licensed CC BY-SA 4.0.

You have javascript disabled. We tried to make sure the basics of our website work but some functionality will be missing.

This website is using cookies. By visiting you agree with our privacy policy. That's Fine